
public enum DiceValue {
	
	ONE(1), TWO(2), THREE(3), FOUR(4), FIVE(5), SIX(6),;

	private final Integer value;
	
	DiceValue(Integer value) {
        this.value = value;
    }
	
	public Integer getValue() {
		return this.value;
	}
	
	public static DiceValue valueOf(Integer value) {
		for(DiceValue dice : DiceValue.values()) {
			if (dice.getValue().equals(value)) {
				return dice;
			}
		}
		throw new IllegalArgumentException("Value invalid");
	}
}
